%define apiver 1.4
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Summary:       C++ interface for Pango
Name:          pangomm
Version:       2.46.3
Release:       3%{?dist}
License:       LGPLv2+
URL:           https://www.gtkmm.org/
Source0:       https://download.gnome.org/sources/pangomm/%{release_version}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(cairomm-1.0) gcc-c++ glibmm2.4-devel libxslt m4 meson mm-common pango-devel
Requires:      glibmm2.4 cairomm1.0 pango

%description
pangomm provides a C++ interface to the Pango library. Highlights include typesafe callbacks,
widgets extensible via inheritance and a comprehensive set of widget classes that can be freely
combined to quickly create complex user interfaces.

%package devel
Summary:        Headers for developing programs that will use %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the libraries and header files needed for developing pangomm applications.

%prep
%autosetup -p1 -n pangomm-%{version}

%build
%meson -Dbuild-documentation=false
%meson_build

%install
%meson_install

%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/libpangomm-%{apiver}.so.1*

%files devel
%{_includedir}/pangomm-%{apiver}
%{_libdir}/libpangomm-%{apiver}.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/pangomm-%{apiver}

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.46.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.46.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Shuo Wang <abushwang@tencent.com> - 2.46.3-1
- initial build
